Package it.ernytech.tdlib

## Class TdApi.UpdateUnreadMessageCount

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateUnreadMessageCount

Enclosing class:
  TdApi

    public static class TdApi.UpdateUnreadMessageCount
    extends TdApi.Update

Number of unread messages has changed. This update is sent only if a message database is used.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `unreadCount` Total number of unread messages.
`int` `unreadUnmutedCount` Total number of unread messages in unmuted chats.

### Constructor Summary

Constructors
`UpdateUnreadMessageCount()` Default constructor.
`UpdateUnreadMessageCount​(int unreadCount, int unreadUnmutedCount)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### unreadCount

    public int unreadCount

Total number of unread messages.

#### unreadUnmutedCount

    public int unreadUnmutedCount

Total number of unread messages in unmuted chats.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateUnreadMessageCount

    public UpdateUnreadMessageCount()

Default constructor.

#### UpdateUnreadMessageCount

    public UpdateUnreadMessageCount​(int unreadCount,
                                    int unreadUnmutedCount)

Constructor for initialization of all fields.

Parameters:
  `unreadCount` - Total number of unread messages.
  `unreadUnmutedCount` - Total number of unread messages in unmuted chats.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR